<mat-toolbar class="mat-elevation-z3 top-bar-light">
    <div class="section-element">
      <img
        class="logo"
        src="./assets/EMPAIA_Logo_Workbench_Client_3_0.png"
        alt="Logo">
    </div>
    <div class="section-element">
      <div class="user-container">
        <button
          mat-button
          [matMenuTriggerFor]="menu"
          class="standard-hover user-menu-button">
          <span class="user-name top-bar-text">{{userData?.userName}}</span>
          <div class="profile-picture-container">
            <img
              class="profile-picture"
              [src]="userProfilePictureUrl ?? FALLBACK_PROFILE"
              alt="Profile picture">
          </div>
        </button>
        <mat-menu #menu="matMenu" class="user-drop-down-menu">
          <button mat-menu-item (click)="routeToItem.emit(SETTINGS_ROUTE)">
            <mat-icon>settings</mat-icon>
            Configuration
          </button>
          <button mat-menu-item (click)="routeToItem.emit(CASES_ROUTE)">
            <mat-icon>badge</mat-icon>
            Diagnosis
          </button>
          <button mat-menu-item *ngIf="withAuthentication && userData" (click)="onLogout()">
            <mat-icon>logout</mat-icon>
            Logout
          </button>
          <button mat-menu-item *ngIf="withAuthentication && !userData" (click)="onLogin()">
            <mat-icon>login</mat-icon>
            Login
          </button>
        </mat-menu>
      </div>
    </div>
    <!-- <ng-template #notLoggedIn>
        <button mat-icon-button (click)="onLogin()">
          <mat-icon>login</mat-icon>
        </button>
      </ng-template>-->
</mat-toolbar>
